Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.engine.gcv
Class ShimParams

    java.lang.Object
      com.novell.nds.dirxml.engine.gcv.GCDefinitions
          com.novell.nds.dirxml.engine.gcv.ShimParams

All Implemented Interfaces:
  ConfigElement

    public class ShimParams

extends GCDefinitions

`ShimParams` is an aggregation of `GCValue` objects. The difference between `ShimParams` and its parent class `GCDefinitions` is that `ShimParams` allows GCVs of type "gcv-ref".

Methods are provided to parse an XML representation of Global Configuration Values and to serialize the contained collection of GCVs to an XML representation.

For user interface purposes the list of GCValue objects is ordered.

Nested Class Summary
`static class` | `ShimParams.NoSuchReferenceException` GCVException indicating a gcv-ref or password reference wasn't found.
`static interface` | `ShimParams.ReferenceResolver` Interface for providing values for referenced items in ShimParams definitions.

Field Summary

Fields inherited from class com.novell.nds.dirxml.engine.gcv.GCDefinitions
`defsList`

Constructor Summary
`ShimParams()` Construct an empty `ShimParams` object.

Method Summary
`static ShimParams` | `constructShimParams(byte[] bytes)` Construct a `ShimParams` object and associated `GCValue` objects from an array of bytes containing the serialized XML representation.
`static ShimParams` | `constructShimParams(Node parent)` Construct a `ShimParams` object and association `GCValue` objects from a DOM XML document containing the XML representation.
`Element` | `toShimInitParams(Node parent, ShimParams.ReferenceResolver refResolver)` Output this ShimParams instance as XML suitable for consumption by a DirXML application shim in an init document.

Methods inherited from class com.novell.nds.dirxml.engine.gcv.GCDefinitions
`appendValue, apply, apply, checkAllowedType, construct, construct, construct, construct, construct, construct0, getValue, hasBeenModified, insertValue, insertValue, iterator, localize, merge, removeValue, removeValue, resetModified, shallowIterator, toBytes, toXml, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShimParams

    public ShimParams()

  Construct an empty `ShimParams` object.

Method Detail

### constructShimParams

    public static ShimParams constructShimParams(byte[] bytes)
                                          throws GCVException

  Construct a `ShimParams` object and associated `GCValue` objects from an array of bytes containing the serialized XML representation.

  Typically, the array of bytes would come from the value of the DirXML-ConfigValues attribute.

  Parameters:
    `bytes` - byte array containing serialized XML.
  Throws:
    `GCVException` - thrown if XML is incorrect in any way.

### constructShimParams

    public static ShimParams constructShimParams(Node parent)
                                          throws GCVException

  Construct a `ShimParams` object and association `GCValue` objects from a DOM XML document containing the XML representation.

  Typically, the DOM document would be the result of parsing the value of the DirXML-ConfigValues attribute.

  Parameters:
    `parent` - DOM Node with child <configuration-values> element
  Throws:
    `GCVException` - thrown if XML is incorrect in any way.

### toShimInitParams

    public Element toShimInitParams(Node parent,
                                    ShimParams.ReferenceResolver refResolver)
                             throws GCVException

  Output this ShimParams instance as XML suitable for consumption by a DirXML application shim in an init document.

  Parameters:
    `parent` - `Node` under which to place constructed XML.
    `refResolver` - object from which to obtain values for GCV refs
  Returns:
    the first `Element` constructed.
  Throws:
    `GCVException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD